Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 460352 - Review Request: xwota - Who's On the Air Database interface
Summary: Review Request: xwota - Who's On the Air Database interface
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-08-27 18:15 UTC by Lucian Langa
Modified: 2008-12-11 08:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-13 06:34:52 UTC
Type: ---
j: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Lucian Langa 2008-08-27 18:15:31 UTC
Spec URL: http://lucilanga.fedorapeople.org/xwota.spec
SRPM URL: http://lucilanga.fedorapeople.org/xwota-0.4-3.fc9.src.rpm
Description: Xwota is intended for amateur radio operators who want to make use of the WOTA database.

It can be used to find out who is on the air, the band and frequency they are
operating on, and their location by country, state, county, grid, and
latitude/longitude

It's very similar to a DX Cluster client, but it works with the WOTA database
and contains more informations.

If you don't known what is the WOTA database, please read some infos at
http://www.wotadb.org.

It's written in C and GTK, and it works on the latests Linux/BSD distributions
and MAC OS X (with X11 package installed).

Comment 1 Lucian Langa 2008-08-28 05:26:38 UTC
added missing desktop/icon file and bumped version

http://lucilanga.fedorapeople.org/xwota.spec
http://lucilanga.fedorapeople.org/xwota-0.4-4.fc9.src.rpm

Comment 2 Jason Tibbitts 2008-11-06 16:22:46 UTC
I'm confused about the licensing situation:

The COPYING file contains GPLv2.

README says:
  Xwota is free and it is published under the GNU GPL Licence.

The source files (that aren't autogenerated by glade) say:
 *              Copyright Emanuele Madeo IZ0ETE
 *                      Email <iz0ete@fabaris.it>

I would guess that the result is GPLv2+, but the fact that the source files are merely copyrighted with no rights given and do not refer to the GPL at all may override the other statements.  I guess I'll block FE-Legal; maybe this could get into the FAQ.

Comment 3 Tom "spot" Callaway 2008-11-06 16:27:29 UTC
So, this should be:

License: GPL+

We know that Emanuele Madeo is the author and copyright holder, and README is his statement of licensing intent. However, we have no clear versioning intent (remember, COPYING doesn't reflect versioning intent for GPL), thus GPL+.

We should also strongly recommend that upstream include proper source file license attribution, with versioning intent, on all source files.

Lifting FE-Legal.

Comment 4 Jason Tibbitts 2008-11-06 17:39:43 UTC
Thanks, spot.

So, this package is simple and looks pretty good except for the license tag.

Is there any point to mentioning what operating systems the program works on?  Does that even matter for a Fedora package?

I note the following complaint from desktop-file-install:
/builddir/build/BUILDROOT/xwota-0.4-4.fc10.x86_64/usr/share/applications/xwota.desktop: warning: value "xwota.png" for key "Icon" in group "Desktop Entry" is an icon name with an extension, but there should be no extension as described in the Icon Theme Specification if the value is not an absolute path

So just fix that and the license tag and the desktop file up and this should be ready to go.

Finally, I note that you have submitted 24 packages for review, while you've only reviewed three packages.  I will periodically revisit your packages as I work through the queue and I suppose eventually all of them will be reviewed but the reviewers are much more likely to review your packages if you do some more reviews yourself.

* source files match upstream:
   8c8f996270e4e93769ba0604c94bfaf5f8226b43eccb0b39c4938e4b5a7eec3c  
   xwota-0.4.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
X license field needs a fix.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   xwota = 0.4-4.fc10
   xwota(x86-64) = 0.4-4.fc10
  =
   libatk-1.0.so.0()(64bit)
   libcairo.so.2()(64bit)
   libfontconfig.so.1()(64bit)
   libfreetype.so.6()(64bit)
   libgdk-x11-2.0.so.0()(64bit)
   libgdk_pixbuf-2.0.so.0()(64bit)
   libgio-2.0.so.0()(64bit)
   libglib-2.0.so.0()(64bit)
   libgmodule-2.0.so.0()(64bit)
   libgobject-2.0.so.0()(64bit)
   libgtk-x11-2.0.so.0()(64bit)
   libpango-1.0.so.0()(64bit)
   libpangocairo-1.0.so.0()(64bit)
   libpangoft2-1.0.so.0()(64bit)

* %check is not present; no test suite upstream.  I don't really know how to use 
   the program, but I installed it and it seemed to work.
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.
X desktop file elicits a complaint from desktop-file-install.

Comment 5 Lucian Langa 2008-11-07 06:36:14 UTC
> Is there any point to mentioning what operating systems the program works on? 
> Does that even matter for a Fedora package?
dropped the part.


> I note the following complaint from desktop-file-install:
> /builddir/build/BUILDROOT/xwota-0.4-4.fc10.x86_64/usr/share/applications/xwota.desktop:
> warning: value "xwota.png" for key "Icon" in group "Desktop Entry" is an icon
> name with an extension, but there should be no extension as described in the
> Icon Theme Specification if the value is not an absolute path
fixed


> So just fix that and the license tag and the desktop file up and this should be
> ready to go.
fixed


> Finally, I note that you have submitted 24 packages for review, while you've
> only reviewed three packages.  I will periodically revisit your packages as I
> work through the queue and I suppose eventually all of them will be reviewed
> but the reviewers are much more likely to review your packages if you do some
> more reviews yourself.
fixing...

new version:
http://lucilanga.fedorapeople.org/xwota.spec
http://lucilanga.fedorapeople.org/xwota-0.4-5.fc10.src.rpm

Comment 6 Jason Tibbitts 2008-11-11 15:28:33 UTC
Looks good.  desktop-file-install has been quieted and the license tag is correct now.

APPROVED

Thanks for doing more reviews; it really helps.

Comment 7 Lucian Langa 2008-11-11 15:38:22 UTC
New Package CVS Request
=======================
Package Name: xwota
Short Description: Who's On the Air Database interface
Owners: lucilanga
Branches: F-8 F-9 F-10 EL-5
InitialCC:

Comment 8 Kevin Fenzi 2008-11-12 18:47:46 UTC
cvs done.

Comment 9 Fedora Update System 2008-11-13 06:30:08 UTC
xwota-0.4-5.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/xwota-0.4-5.fc8

Comment 10 Fedora Update System 2008-11-13 06:30:59 UTC
xwota-0.4-5.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/xwota-0.4-5.fc9

Comment 11 Fedora Update System 2008-11-13 06:31:37 UTC
xwota-0.4-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xwota-0.4-5.fc10

Comment 12 Fedora Update System 2008-12-03 01:12:27 UTC
xwota-0.4-5.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2008-12-03 01:13:54 UTC
xwota-0.4-5.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2008-12-11 08:06:44 UTC
xwota-0.4-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.